DCMTK: DRTConsentForClinicalTrialUseSequence Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
DRTConsentForClinicalTrialUseSequence Class Reference

Interface class for ConsentForClinicalTrialUseSequence (0012,0083). More...

Inheritance diagram for DRTConsentForClinicalTrialUseSequence:

## Classes
class | Item
| Item class. More...

## Public Member Functions
| DRTConsentForClinicalTrialUseSequence (const OFBool emptyDefaultSequence=OFFalse)
| (default) constructor
| DRTConsentForClinicalTrialUseSequence (const DRTConsentForClinicalTrialUseSequence &copy)
| copy constructor
virtual | ~DRTConsentForClinicalTrialUseSequence ()
| destructor
DRTConsentForClinicalTrialUseSequence & | operator= (const DRTConsentForClinicalTrialUseSequence &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if sequence is empty
OFBool | isValid () const
| check if sequence is valid, i.e. not the empty default sequence
size_t | getNumberOfItems () const
| get number of items in the sequence
OFCondition | gotoFirstItem ()
| goto first item in the sequence
OFCondition | gotoNextItem ()
| goto next item in the sequence
OFCondition | gotoItem (const size_t num)
| goto particular item in the sequence
OFCondition | getCurrentItem (Item *&item) const
| get current item in the sequence
Item & | getCurrentItem ()
| get current item in the sequence
const Item & | getCurrentItem () const
| get current item in the sequence
OFCondition | getItem (const size_t num, Item *&item)
| get particular item in the sequence
Item & | getItem (const size_t num)
| get particular item in the sequence
const Item & | getItem (const size_t num) const
| get particular item in the sequence
Item & | operator[] (const size_t num)
| get particular item in the sequence
const Item & | operator[] (const size_t num) const
| get particular item in the sequence
OFCondition | addItem (Item *&item)
| create and add new item to the end of this sequence
OFCondition | insertItem (const size_t pos, Item *&item)
| create and insert new item into the sequence
OFCondition | removeItem (const size_t pos)
| remove particular item from the sequence
OFCondition | read (DcmItem &dataset, const OFString &card, const OFString &type, const char *moduleName=NULL)
| read sequence of items from dataset
OFCondition | write (DcmItem &dataset, const OFString &card, const OFString &type, const char *moduleName=NULL)
| write sequence of items to dataset

## Protected Member Functions
OFCondition | gotoItem (const size_t num, OFListIterator(Item *) &iterator)
| goto particular item in the sequence
OFCondition | gotoItem (const size_t num, OFListConstIterator(Item *) &iterator) const
| goto particular item in the sequence
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.

## Private Member Functions
| OFListIterator (Item *) CurrentItem
| currently selected item

## Private Attributes
OFBool | EmptyDefaultSequence
| internal flag used to mark the empty default sequence
OFList< Item * > | SequenceOfItems
| list of items in this sequence
Item | EmptyItem
| empty default item

## Additional Inherited Members
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Interface class for ConsentForClinicalTrialUseSequence (0012,0083).

## Constructor & Destructor Documentation

## ◆ DRTConsentForClinicalTrialUseSequence() [1/2]

DRTConsentForClinicalTrialUseSequence::DRTConsentForClinicalTrialUseSequence | ( | const OFBool | emptyDefaultSequence = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultSequence | internal flag used to mark the empty default sequence

Referenced by DRTConsentForClinicalTrialUseSequence(), and operator=().

## ◆ DRTConsentForClinicalTrialUseSequence() [2/2]

DRTConsentForClinicalTrialUseSequence::DRTConsentForClinicalTrialUseSequence | ( | const DRTConsentForClinicalTrialUseSequence & | copy | ) |

copy constructor

Parameters

  copy | sequence object to be copied

References DRTConsentForClinicalTrialUseSequence().

## Member Function Documentation

## ◆ addItem()

OFCondition DRTConsentForClinicalTrialUseSequence::addItem | ( | Item *& | item | ) |

create and add new item to the end of this sequence

Parameters

  item | reference to new item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCurrentItem() [1/3]

Item & DRTConsentForClinicalTrialUseSequence::getCurrentItem | ( |  | ) |

get current item in the sequence

Returns
  reference to specified item if successful, empty default item otherwise

## ◆ getCurrentItem() [2/3]

const Item & DRTConsentForClinicalTrialUseSequence::getCurrentItem | ( |  | ) | const

get current item in the sequence

Returns
  const reference to specified item if successful, empty default item otherwise

## ◆ getCurrentItem() [3/3]

OFCondition DRTConsentForClinicalTrialUseSequence::getCurrentItem | ( | Item *& | item | ) | const

get current item in the sequence

Parameters

  item | reference to item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getItem() [1/3]

Item & DRTConsentForClinicalTrialUseSequence::getItem | ( | const size_t | num | ) |

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  reference to specified item if successful, empty default item otherwise

## ◆ getItem() [2/3]

const Item & DRTConsentForClinicalTrialUseSequence::getItem | ( | const size_t | num | ) | const

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  const reference to specified item if successful, empty default item otherwise

## ◆ getItem() [3/3]

OFCondition DRTConsentForClinicalTrialUseSequence::getItem | ( | const size_t | num,
|  | Item *& | item )

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)
  item | reference to item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfItems()

size_t DRTConsentForClinicalTrialUseSequence::getNumberOfItems | ( |  | ) | const

get number of items in the sequence

Returns
  number of items

## ◆ gotoFirstItem()

OFCondition DRTConsentForClinicalTrialUseSequence::gotoFirstItem | ( |  | ) |

goto first item in the sequence

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoItem() [1/3]

OFCondition DRTConsentForClinicalTrialUseSequence::gotoItem | ( | const size_t | num | ) |

goto particular item in the sequence

Parameters

  num | number of the item to be selected (0..num-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoItem() [2/3]

OFCondition DRTConsentForClinicalTrialUseSequence::gotoItem | ( | const size_t | num,
|  | OFListConstIterator(Item *) & | iterator ) const
| protected

goto particular item in the sequence

Parameters

  num | number of the item to be selected (0..num-1)
  iterator | list iterator storing the position of the item

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoItem() [3/3]

OFCondition DRTConsentForClinicalTrialUseSequence::gotoItem | ( | const size_t | num,
|  | OFListIterator(Item *) & | iterator )
| protected

goto particular item in the sequence

Parameters

  num | number of the item to be selected (0..num-1)
  iterator | list iterator storing the position of the item

Returns
  status, EC_Normal if successful, an error code otherwise

References OFListIterator().

## ◆ gotoNextItem()

OFCondition DRTConsentForClinicalTrialUseSequence::gotoNextItem | ( |  | ) |

goto next item in the sequence

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ insertItem()

OFCondition DRTConsentForClinicalTrialUseSequence::insertItem | ( | const size_t | pos,
|  | Item *& | item )

create and insert new item into the sequence

Parameters

  pos | position where the new item is to be inserted (0..num)
  item | reference to new item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTConsentForClinicalTrialUseSequence::isEmpty | ( |  | ) |

check if sequence is empty

Returns
  OFTrue if sequence is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTConsentForClinicalTrialUseSequence::isValid | ( |  | ) | const

check if sequence is valid, i.e. not the empty default sequence

Returns
  OFTrue if sequence is valid, OFFalse otherwise

## ◆ operator=()

DRTConsentForClinicalTrialUseSequence & DRTConsentForClinicalTrialUseSequence::operator= | ( | const DRTConsentForClinicalTrialUseSequence & | copy | ) |

assignment operator

Parameters

  copy | sequence object to be copied

Returns
  reference to this object

References DRTConsentForClinicalTrialUseSequence().

## ◆ operator[]() [1/2]

Item & DRTConsentForClinicalTrialUseSequence::operator[] | ( | const size_t | num | ) |

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  reference to specified item if successful, empty default item otherwise

## ◆ operator[]() [2/2]

const Item & DRTConsentForClinicalTrialUseSequence::operator[] | ( | const size_t | num | ) | const

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  const reference to specified item if successful, empty default item otherwise

## ◆ read()

OFCondition DRTConsentForClinicalTrialUseSequence::read | ( | DcmItem & | dataset,
|  | const OFString & | card,
|  | const OFString & | type,
|  | const char * | moduleName = NULL )

read sequence of items from dataset

Parameters

  dataset | reference to DICOM dataset from which the sequence should be read
  card | cardinality (valid range for number of items)
  type | value type (valid value: "1", "1C", "2" or something else which is not checked)
  moduleName | optional module/sequence name to be printed (default: "RT object" if NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ removeItem()

OFCondition DRTConsentForClinicalTrialUseSequence::removeItem | ( | const size_t | pos | ) |

remove particular item from the sequence

Parameters

  pos | position of the item to be removed (0..num-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTConsentForClinicalTrialUseSequence::write | ( | DcmItem & | dataset,
|  | const OFString & | card,
|  | const OFString & | type,
|  | const char * | moduleName = NULL )

write sequence of items to dataset

Parameters

  dataset | reference to DICOM dataset to which the sequence should be written
  card | cardinality (valid range for number of items)
  type | value type (valid value: "1", "2" or something else which is not checked)
  moduleName | optional module/sequence name to be printed (default: "RT object" if NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcctus.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1